commit 071926c2860896f45a5c277c01cb6f0eba3b61d3
Author: Alex <azirbel@andrew.cmu.edu>
Date:   Mon Mar 4 20:28:53 2013 -0500

    Retired (deleted) unused packages.
    
    Moved their msg/srv definitions to the messages/ package instead, and revised the libscout and scoutsim files that depended on those namespaces.

diff --git a/scout/analog/CMakeLists.txt b/scout/analog/CMakeLists.txt
deleted file mode 100644
index 1258429..0000000
--- a/scout/analog/CMakeLists.txt
+++ /dev/null
@@ -1,32 +0,0 @@
-cmake_minimum_required(VERSION 2.4.6)
-include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)
-
-# Set the build type.  Options are:
-#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
-#  Debug          : w/ debug symbols, w/o optimization
-#  Release        : w/o debug symbols, w/ optimization
-#  RelWithDebInfo : w/ debug symbols, w/ optimization
-#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
-#set(ROS_BUILD_TYPE RelWithDebInfo)
-
-rosbuild_init()
-
-#set the default path for built executables to the "bin" directory
-set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
-#set the default path for built libraries to the "lib" directory
-set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)
-
-#uncomment if you have defined messages
-#rosbuild_genmsg()
-#uncomment if you have defined services
-rosbuild_gensrv()
-
-#common commands for building c++ executables and libraries
-#rosbuild_add_library(${PROJECT_NAME} src/example.cpp)
-#target_link_libraries(${PROJECT_NAME} another_library)
-#rosbuild_add_boost_directories()
-#rosbuild_link_boost(${PROJECT_NAME} thread)
-#rosbuild_add_executable(example examples/example.cpp)
-#target_link_libraries(example ${PROJECT_NAME})
-
-rosbuild_add_executable(analog_node src/analog.cpp)
diff --git a/scout/analog/Makefile b/scout/analog/Makefile
deleted file mode 100644
index bbd3fc6..0000000
--- a/scout/analog/Makefile
+++ /dev/null
@@ -1 +0,0 @@
-include $(shell rospack find mk)/cmake.mk
diff --git a/scout/analog/mainpage.dox b/scout/analog/mainpage.dox
deleted file mode 100644
index 55c6dc5..0000000
--- a/scout/analog/mainpage.dox
+++ /dev/null
@@ -1,26 +0,0 @@
-/**
-\mainpage
-\htmlinclude manifest.html
-
-\b analog is is the ros node that will read analog input from external devices connected to the Scout.
-
-<!-- 
-Analog will contain the functions necessary for reading analog input.
--->
-
-
-\section codeapi Code API
-
-<!--
-Provide links to specific auto-generated API documentation within your
-package that is of particular interest to a reader. Doxygen will
-document pretty much every part of your code, so do your best here to
-point the reader to the actual API.
-
-If your codebase is fairly large or has different sets of APIs, you
-should use the doxygen 'group' tag to keep these APIs together. For
-example, the roscpp documentation has 'libros' group.
--->
-
-
-*/
diff --git a/scout/analog/manifest.xml b/scout/analog/manifest.xml
deleted file mode 100644
index d0b99fa..0000000
--- a/scout/analog/manifest.xml
+++ /dev/null
@@ -1,15 +0,0 @@
-<package>
-  <description brief="analog">
-     analog
-     Module to read analog input.
-  </description>
-  <author>Dev</author>
-  <license>BSD</license>
-  <review status="unreviewed" notes=""/>
-  <url>https://www.roboticsclub.org/redmine/projects/colonyscout/wiki</url>
-  <depend package="roscpp"/>
-  <depend package="std_msgs"/>
-
-</package>
-
-
diff --git a/scout/analog/src/analog.cpp b/scout/analog/src/analog.cpp
deleted file mode 100644
index 984f750..0000000
--- a/scout/analog/src/analog.cpp
+++ /dev/null
@@ -1,103 +0,0 @@
-/**
- * Copyright (c) 2011 Colony Project
- * 
- * Permission is hereby granted, free of charge, to any person
- * obtaining a copy of this software and associated documentation
- * files (the "Software"), to deal in the Software without
- * restriction, including without limitation the rights to use,
- * copy, modify, merge, publish, distribute, sublicense, and/or sell
- * copies of the Software, and to permit persons to whom the
- * Software is furnished to do so, subject to the following
- * conditions:
- * 
- * The above copyright notice and this permission notice shall be
- * included in all copies or substantial portions of the Software.
- * 
- * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
- * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
- * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
- * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
- * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
- * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
- * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
- * OTHER DEALINGS IN THE SOFTWARE.
- */
-
-/**
- * @file analog.cpp
- * @brief Contains code to read analog data.
- *
- * Implementation of functions for analog use.
- *
- * @author Colony Project, CMU Robotics Club
- * @author Dev Gurjar
- **/
-
-#include <ros/ros.h>
-
-#include "analog.h"
-
-/**
- * @defgroup analog Analog
- * @brief Functions for reading analog input
- *
- * @{
- **/
-
-/* Analog state variables */
-/** @todo Fix types: static */
-unsigned int port; /**< The current port from which we are reading from. */
-
-/**
- * @brief Outputs current analog data at a given port
- *
- * Serves the service query_analog by responding to service requests with the
- * speeds of the motors.
- * @param req The request. The only field is the units requested.
- * @param res The response. The fields will be filled with values.
- */
-bool analog_query(analog::query_analog::Request &req,
-                  analog::query_analog::Response &res)
-{
-    int port = req.port;
-    res.sensor_data = get_sensor_data(port);
-
-    ROS_DEBUG("Analog data queried");
-    return true;
-}
-
-/* 
- * @brief 
- *
- * Given a port number, returns the analog data present at the port
- * 
- * @param port The port we want to read from
- */
-unsigned int get_sensor_data(int port)
-{
-    ROS_DEBUG("Got Analog data from the sensor [Unimplemented]");
-    return 0;
-}
-
-/**
- * @brief Analog driver. Provides an interface to read data from analog ports.
- */
-int main(int argc, char **argv)
-{
-    /* Initialize in ROS the motors driver node */
-    ros::init(argc, argv, "analog_driver");
-
-    /* Advertise that this serves the query_analog service */
-    ros::NodeHandle n;
-    ros::ServiceServer service = n.advertiseService("query_analog",
-                                                    analog_query);
-
-    /* Initialize hardware for analog */
-
-    // Hardware init functions here
-    ros::spin();
-
-    return 0;
-}
-
-/** @} **/
diff --git a/scout/analog/src/analog.h b/scout/analog/src/analog.h
deleted file mode 100644
index d4b3e7f..0000000
--- a/scout/analog/src/analog.h
+++ /dev/null
@@ -1,95 +0,0 @@
-/**
- * Copyright (c) 2011 Colony Project
- * 
- * Permission is hereby granted, free of charge, to any person
- * obtaining a copy of this software and associated documentation
- * files (the "Software"), to deal in the Software without
- * restriction, including without limitation the rights to use,
- * copy, modify, merge, publish, distribute, sublicense, and/or sell
- * copies of the Software, and to permit persons to whom the
- * Software is furnished to do so, subject to the following
- * conditions:
- * 
- * The above copyright notice and this permission notice shall be
- * included in all copies or substantial portions of the Software.
- * 
- * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
- * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
- * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
- * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
- * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
- * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
- * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
- * OTHER DEALINGS IN THE SOFTWARE.
- */
-
-/**
- * @file analog.h
- * @brief Contains analog declarations and functions.
- * 
- * Contains functions and definitions for the use of
- * analog.
- *
- * @author Colony Project, CMU Robotics Club
- * @author Dev Gurjar
- **/
-
-#ifndef _ANALOG_H_
-#define _ANALOG_H_
-
-#include "analog/query_analog.h"
-
-/** @brief Analog port 0 **/
-#define AN0 0x00
-/** @brief Analog port 1 **/
-#define AN1 0x01
-/** @brief Analog port 2 **/
-#define AN2 0x02
-/** @brief Analog port 3 **/
-#define AN3 0x03
-/** @brief Analog port 4 **/
-#define AN4 0x04
-/** @brief Analog port 5 **/
-#define AN5 0x05
-/** @brief Analog port 6 **/
-#define AN6 0x06
-/** @brief Analog port 7 **/
-#define AN7 0x07
-/** @brief Analog port 8 **/
-#define AN8 0x08
-/** @brief Analog port 9 **/
-#define AN9 0x09
-/** @brief Analog port 10 **/
-#define AN10 0x0A
-/** @brief Analog port 11 **/
-#define AN11 0x0B
-/** @brief Analog port 12 **/
-#define AN12 0x0C
-/** @brief Analog port 13 **/
-#define AN13 0x0D
-/** @brief Analog port 14 **/
-#define AN14 0x0E
-/** @brief Analog port 15 **/
-#define AN15 0x0F
-
-/** @brief Struct to hold the value of a particular analog port **/
-typedef struct
-{
-  uint8_t adc8;
-  uint16_t adc10;
-} adc_t;
-
-/* The number of messages in the queue. If messages arrive faster than they are
- * handled, old ones are thrown out */
-#define QUEUE_SIZE 10
-
-/** @brief Initialize the analog module and driver. **/
-int main(int argc, char **argv);
-
-/** @brief given a port, returns the analog reading at that port **/
-unsigned int get_sensor_data(int port);
-
-/** @brief Responds to service to query analog input. **/
-bool analog_query(analog::query_analog::Request &req,
-                  analog::query_analog::Response &res);
-#endif
diff --git a/scout/analog/srv/query_analog.srv b/scout/analog/srv/query_analog.srv
deleted file mode 100644
index ed9c6b7..0000000
--- a/scout/analog/srv/query_analog.srv
+++ /dev/null
@@ -1,3 +0,0 @@
-int8 port
----
-int8 sensor_data
diff --git a/scout/bom/CMakeLists.txt b/scout/bom/CMakeLists.txt
deleted file mode 100644
index f1c1a19..0000000
--- a/scout/bom/CMakeLists.txt
+++ /dev/null
@@ -1,30 +0,0 @@
-cmake_minimum_required(VERSION 2.4.6)
-include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)
-
-# Set the build type.  Options are:
-#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
-#  Debug          : w/ debug symbols, w/o optimization
-#  Release        : w/o debug symbols, w/ optimization
-#  RelWithDebInfo : w/ debug symbols, w/ optimization
-#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
-#set(ROS_BUILD_TYPE RelWithDebInfo)
-
-rosbuild_init()
-
-#set the default path for built executables to the "bin" directory
-set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
-#set the default path for built libraries to the "lib" directory
-set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)
-
-#uncomment if you have defined messages
-rosbuild_genmsg()
-#uncomment if you have defined services
-rosbuild_gensrv()
-
-#common commands for building c++ executables and libraries
-#rosbuild_add_library(${PROJECT_NAME} src/example.cpp)
-#target_link_libraries(${PROJECT_NAME} another_library)
-#rosbuild_add_boost_directories()
-#rosbuild_link_boost(${PROJECT_NAME} thread)
-#rosbuild_add_executable(example examples/example.cpp)
-#target_link_libraries(example ${PROJECT_NAME})
diff --git a/scout/bom/Makefile b/scout/bom/Makefile
deleted file mode 100644
index bbd3fc6..0000000
--- a/scout/bom/Makefile
+++ /dev/null
@@ -1 +0,0 @@
-include $(shell rospack find mk)/cmake.mk
diff --git a/scout/bom/mainpage.dox b/scout/bom/mainpage.dox
deleted file mode 100644
index 840d9da..0000000
--- a/scout/bom/mainpage.dox
+++ /dev/null
@@ -1,26 +0,0 @@
-/**
-\mainpage
-\htmlinclude manifest.html
-
-\b bom is the ros node that will orient the robots toward each other and tell the direction that any sources of IR are coming from. It can also provide information relating to the orientation of the other robot and which robot it is.
-
-<!-- 
-Bom will contain the functions necessary for reading the values obtained by the bearing and orientation module. It will also provide commands for asking the module to get readings from specific robots.
--->
-
-
-\section codeapi Code API
-
-<!--
-Provide links to specific auto-generated API documentation within your
-package that is of particular interest to a reader. Doxygen will
-document pretty much every part of your code, so do your best here to
-point the reader to the actual API.
-
-If your codebase is fairly large or has different sets of APIs, you
-should use the doxygen 'group' tag to keep these APIs together. For
-example, the roscpp documentation has 'libros' group.
--->
-
-
-*/
diff --git a/scout/bom/manifest.xml b/scout/bom/manifest.xml
deleted file mode 100644
index aed80b3..0000000
--- a/scout/bom/manifest.xml
+++ /dev/null
@@ -1,16 +0,0 @@
-<package>
-  <description brief="bom">
-     Bearing and Orientation Module
-     Module to to orient and direct the robots toward each other or
-     other sources of IR.
-  </description>
-  <author>James</author>
-  <license>BSD</license>
-  <review status="unreviewed" notes=""/>
-  <url>https://www.roboticsclub.org/redmine/projects/colonyscout/wiki</url>
-  <depend package="roscpp"/>
-  <depend package="std_msgs"/>
-
-</package>
-
-
diff --git a/scout/bom/msg/bom.msg b/scout/bom/msg/bom.msg
deleted file mode 100644
index 7cf2ae8..0000000
--- a/scout/bom/msg/bom.msg
+++ /dev/null
@@ -1,9 +0,0 @@
-int8 sender
-int8 send_dir
-int8 recv_dir
-
-# TODO these may need to be changed
-int8 FRONT = 0
-int8 LEFT  = 1
-int8 BACK  = 2
-int8 RIGHT = 3
diff --git a/scout/cliffsensor/CMakeLists.txt b/scout/cliffsensor/CMakeLists.txt
deleted file mode 100644
index 00d5643..0000000
--- a/scout/cliffsensor/CMakeLists.txt
+++ /dev/null
@@ -1,32 +0,0 @@
-cmake_minimum_required(VERSION 2.4.6)
-include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)
-
-# Set the build type.  Options are:
-#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
-#  Debug          : w/ debug symbols, w/o optimization
-#  Release        : w/o debug symbols, w/ optimization
-#  RelWithDebInfo : w/ debug symbols, w/ optimization
-#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
-#set(ROS_BUILD_TYPE RelWithDebInfo)
-
-rosbuild_init()
-
-#set the default path for built executables to the "bin" directory
-set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
-#set the default path for built libraries to the "lib" directory
-set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)
-
-#uncomment if you have defined messages
-rosbuild_genmsg()
-#uncomment if you have defined services
-rosbuild_gensrv()
-
-#common commands for building c++ executables and libraries
-#rosbuild_add_library(${PROJECT_NAME} src/example.cpp)
-#target_link_libraries(${PROJECT_NAME} another_library)
-#rosbuild_add_boost_directories()
-#rosbuild_link_boost(${PROJECT_NAME} thread)
-#rosbuild_add_executable(example examples/example.cpp)
-#target_link_libraries(example ${PROJECT_NAME})
-
-rosbuild_add_executable(cliffsensor_node src/cliffsensor.cpp)
diff --git a/scout/cliffsensor/Makefile b/scout/cliffsensor/Makefile
deleted file mode 100644
index bbd3fc6..0000000
--- a/scout/cliffsensor/Makefile
+++ /dev/null
@@ -1 +0,0 @@
-include $(shell rospack find mk)/cmake.mk
diff --git a/scout/cliffsensor/mainpage.dox b/scout/cliffsensor/mainpage.dox
deleted file mode 100644
index 481a096..0000000
--- a/scout/cliffsensor/mainpage.dox
+++ /dev/null
@@ -1,26 +0,0 @@
-/**
-\mainpage
-\htmlinclude manifest.html
-
-\b cliffsensor is the ros node that will read from the cliffsensors and detect cliffs and tell the motors to stop driving.
-
-<!-- 
-Cliffsensor will contain the functions necessary for reading from the cliffsensors and detecting cliffs (and behaviors associated with the cliffsensor).
--->
-
-
-\section codeapi Code API
-
-<!--
-Provide links to specific auto-generated API documentation within your
-package that is of particular interest to a reader. Doxygen will
-document pretty much every part of your code, so do your best here to
-point the reader to the actual API.
-
-If your codebase is fairly large or has different sets of APIs, you
-should use the doxygen 'group' tag to keep these APIs together. For
-example, the roscpp documentation has 'libros' group.
--->
-
-
-*/
diff --git a/scout/cliffsensor/manifest.xml b/scout/cliffsensor/manifest.xml
deleted file mode 100644
index 5a333a2..0000000
--- a/scout/cliffsensor/manifest.xml
+++ /dev/null
@@ -1,15 +0,0 @@
-<package>
-  <description brief="cliffsensor">
-     cliffsensor
-     Module to read from the cliffsensor, detect cliffs, and behaviors for cliffsensor.
-  </description>
-  <author>Priya</author>
-  <license>BSD</license>
-  <review status="unreviewed" notes=""/>
-  <url>https://www.roboticsclub.org/redmine/projects/colonyscout/wiki</url>
-  <depend package="roscpp"/>
-  <depend package="std_msgs"/>
-
-</package>
-
-
diff --git a/scout/cliffsensor/msg/cliff_status_changed.msg b/scout/cliffsensor/msg/cliff_status_changed.msg
deleted file mode 100644
index adf8eea..0000000
--- a/scout/cliffsensor/msg/cliff_status_changed.msg
+++ /dev/null
@@ -1,4 +0,0 @@
-int8 front_raw
-int8 left_raw
-int8 right_raw
-int8 cliff_status
diff --git a/scout/cliffsensor/src/cliffsensor.cpp b/scout/cliffsensor/src/cliffsensor.cpp
deleted file mode 100644
index 3834399..0000000
--- a/scout/cliffsensor/src/cliffsensor.cpp
+++ /dev/null
@@ -1,122 +0,0 @@
-/**
- * Copyright (c) 2011 Colony Project
- * 
- * Permission is hereby granted, free of charge, to any person
- * obtaining a copy of this software and associated documentation
- * files (the "Software"), to deal in the Software without
- * restriction, including without limitation the rights to use,
- * copy, modify, merge, publish, distribute, sublicense, and/or sell
- * copies of the Software, and to permit persons to whom the
- * Software is furnished to do so, subject to the following
- * conditions:
- * 
- * The above copyright notice and this permission notice shall be
- * included in all copies or substantial portions of the Software.
- * 
- * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
- * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
- * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
- * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
- * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
- * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
- * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
- * OTHER DEALINGS IN THE SOFTWARE.
- */
-
-/**
- * @file cliffsensor.cpp
- * @brief Contains code to control the cliffsensor.
- *
- * Implementation of functions for cliffsensor use.
- *
- * @author Colony Project, CMU Robotics Club
- * @author Priyanka Deo
- **/
-
-#include "ros/ros.h"
-#include "cliffsensor.h"
-#include <cstdlib>
-
-/**
- * @defgroup cliffsensor Cliffsensor
- * @brief Functions for using the cliffsensors
- *
- * @{
- **/
-
-/* Cliffsensor state variables
- */
-static int front_raw; /**< The current raw value data of the front cliffsensor. */
-static int left_raw; /**< The current raw value data of the left cliffsensor. */
-static int back_raw; /**< The current raw value data of the right cliffsensor. */
-static bool is_cliff; /**< Boolean to represent whether or not there is a cliff. */
-
-/**
- * @brief Changes cliff sensor status
- *
- * Changes cliff sensor status based on subscription to topic cliff_status_changed
- *
- * @param msg The message from the cliff_status_changed topic, containing 
- * status of all cliff sensors.
- */
-void changed_cliff_status(const cliffsensor::cliff_status_changed::ConstPtr& msg)
-{
-  return;
-}
-
-/**
- * @brief Outputs status of cliffsensors
- *
- * Serves the service query_cliff by responding to service requests with the
- * status of the cliff sensors.
- * @param req The request. The only field is the units requested.
- * @param res The response. The fields will be filled with values.
- */
-bool cliff_query(cliffsensor::query_cliff::Request &req,
-                  cliffsensor::query_cliff::Response &res)
-{
-    int threshold = 500; //TODO fix after figuring out what sensors give us
-    res.front_raw = front_raw; 
-    res.left_raw = left_raw;
-    res.right_raw = back_raw;
-    res.cliff_status = is_cliff;
-
-    ROS_DEBUG("Cliffsensor status queried");
-    return true;
-}
-
-/**
- * @brief Cliffsensor driver. This is a ROS node that controls cliffsensor status.
- *
- * This is the main function for the cliffsensors node. It is run when the node
- * starts and initializes the cliffsensors. It then subscribes to the
- * cliff_status_changed topics, and advertises the
- * query_cliff service.
- * 
- * @param argc The number of command line arguments (should be 1)
- * @param argv The array of command line arguments
- **/
-int main(int argc, char **argv)
-{
-    /* Initialize in ROS the cliffsensor driver node */
-    ros::init(argc, argv, "cliffsensor_driver");
-
-    /* Advertise that this serves the query_cliff service */
-    ros::NodeHandle n;
-    ros::ServiceServer service = n.advertiseService("query_cliff",
-                                                    cliff_query);
-
-    /* Subscribe to the cliff_status_changed topic */
-    ros::Subscriber sub0 = n.subscribe("cliff_status_changed", 
-                                        4, changed_cliff_status);
-
-    /* Initialize hardware for cliffsensors */
-    // Hardware init functions here
-
-    ROS_INFO("Ready to query cliffsensors.");
-    ros::spin();
-
-    return 0;
-}
-
-/** @} **/
diff --git a/scout/cliffsensor/src/cliffsensor.h b/scout/cliffsensor/src/cliffsensor.h
deleted file mode 100644
index b80e1a4..0000000
--- a/scout/cliffsensor/src/cliffsensor.h
+++ /dev/null
@@ -1,56 +0,0 @@
-/**
- * Copyright (c) 2011 Colony Project
- * 
- * Permission is hereby granted, free of charge, to any person
- * obtaining a copy of this software and associated documentation
- * files (the "Software"), to deal in the Software without
- * restriction, including without limitation the rights to use,
- * copy, modify, merge, publish, distribute, sublicense, and/or sell
- * copies of the Software, and to permit persons to whom the
- * Software is furnished to do so, subject to the following
- * conditions:
- * 
- * The above copyright notice and this permission notice shall be
- * included in all copies or substantial portions of the Software.
- * 
- * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
- * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
- * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
- * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
- * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
- * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
- * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
- * OTHER DEALINGS IN THE SOFTWARE.
- */
-
-/**
- * @file cliffsensor.h
- * @brief Contains cliffsensor declarations and functions.
- * 
- * Contains functions and definitions for the use of
- * cliffsensors.
- *
- * @author Colony Project, CMU Robotics Club
- * @author Priyanka Deo
- **/
-
-#ifndef _CLIFFSENSOR_H_
-#define _CLIFFSENSOR_H_
-
-#include "cliffsensor/query_cliff.h"
-#include "cliffsensor/cliff_status_changed.h"
-
-#define CLIFF_DETECTED 0x0
-#define NO_CLIFF 0x1
-
-/** @brief Initialize the cliffsensor module and driver. **/
-int main(int argc, char **argv);
-
-/** @brief Responds to topic to change cliff sensor status. **/
-void changed_cliff_status(const cliffsensor::cliff_status_changed::ConstPtr& msg);
-
-/** @brief Responds to service to query cliffsensor data. **/
-bool cliff_query(cliffsensor::query_cliff::Request &req,
-                  cliffsensor::query_cliff::Response &res);
-
-#endif
diff --git a/scout/cliffsensor/srv/query_cliff.srv b/scout/cliffsensor/srv/query_cliff.srv
deleted file mode 100644
index 960d1a9..0000000
--- a/scout/cliffsensor/srv/query_cliff.srv
+++ /dev/null
@@ -1,6 +0,0 @@
-int8 units
----
-int8 front_raw
-int8 left_raw
-int8 right_raw
-int8 cliff_status
diff --git a/scout/headlights/CMakeLists.txt b/scout/headlights/CMakeLists.txt
deleted file mode 100644
index 9e86a61..0000000
--- a/scout/headlights/CMakeLists.txt
+++ /dev/null
@@ -1,32 +0,0 @@
-cmake_minimum_required(VERSION 2.4.6)
-include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)
-
-# Set the build type.  Options are:
-#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
-#  Debug          : w/ debug symbols, w/o optimization
-#  Release        : w/o debug symbols, w/ optimization
-#  RelWithDebInfo : w/ debug symbols, w/ optimization
-#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
-#set(ROS_BUILD_TYPE RelWithDebInfo)
-
-rosbuild_init()
-
-#set the default path for built executables to the "bin" directory
-set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
-#set the default path for built libraries to the "lib" directory
-set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)
-
-#uncomment if you have defined messages
-rosbuild_genmsg()
-#uncomment if you have defined services
-#rosbuild_gensrv()
-
-#common commands for building c++ executables and libraries
-#rosbuild_add_library(${PROJECT_NAME} src/example.cpp)
-#target_link_libraries(${PROJECT_NAME} another_library)
-#rosbuild_add_boost_directories()
-#rosbuild_link_boost(${PROJECT_NAME} thread)
-#rosbuild_add_executable(example examples/example.cpp)
-#target_link_libraries(example ${PROJECT_NAME})
-
-rosbuild_add_executable(headlights_node src/headlights.cpp)
diff --git a/scout/headlights/Makefile b/scout/headlights/Makefile
deleted file mode 100644
index bbd3fc6..0000000
--- a/scout/headlights/Makefile
+++ /dev/null
@@ -1 +0,0 @@
-include $(shell rospack find mk)/cmake.mk
diff --git a/scout/headlights/mainpage.dox b/scout/headlights/mainpage.dox
deleted file mode 100644
index efd4324..0000000
--- a/scout/headlights/mainpage.dox
+++ /dev/null
@@ -1,26 +0,0 @@
-/**
-\mainpage
-\htmlinclude manifest.html
-
-\b headlights is the ROS node that will control the multicolor headlights on scout
-
-<!-- 
-Headlights will contain the functions necessary for controling the headlights
--->
-
-
-\section codeapi Code API
-
-<!--
-Provide links to specific auto-generated API documentation within your
-package that is of particular interest to a reader. Doxygen will
-document pretty much every part of your code, so do your best here to
-point the reader to the actual API.
-
-If your codebase is fairly large or has different sets of APIs, you
-should use the doxygen 'group' tag to keep these APIs together. For
-example, the roscpp documentation has 'libros' group.
--->
-
-
-*/
diff --git a/scout/headlights/manifest.xml b/scout/headlights/manifest.xml
deleted file mode 100644
index 93bde7b..0000000
--- a/scout/headlights/manifest.xml
+++ /dev/null
@@ -1,15 +0,0 @@
-<package>
-  <description brief="headlights">
-     motors
-     Module to drive the headlights and provide all headlights functionality.
-  </description>
-  <author>Ben Wasserman</author>
-  <license>BSD</license>
-  <review status="unreviewed" notes=""/>
-  <url>https://www.roboticsclub.org/redmine/projects/colonyscout/wiki</url>
-  <depend package="roscpp"/>
-  <depend package="std_msgs"/>
-
-</package>
-
-
diff --git a/scout/headlights/msg/set_headlights.msg b/scout/headlights/msg/set_headlights.msg
deleted file mode 100644
index 3590d08..0000000
--- a/scout/headlights/msg/set_headlights.msg
+++ /dev/null
@@ -1,6 +0,0 @@
-int16 left_red
-int16 left_green
-int16 left_blue
-int16 right_red
-int16 right_green
-int16 right_blue
diff --git a/scout/headlights/src/headlights.cpp b/scout/headlights/src/headlights.cpp
deleted file mode 100644
index b767f89..0000000
--- a/scout/headlights/src/headlights.cpp
+++ /dev/null
@@ -1,129 +0,0 @@
-/**
- * Copyright (c) 2011 Colony Project
- * 
- * Permission is hereby granted, free of charge, to any person
- * obtaining a copy of this software and associated documentation
- * files (the "Software"), to deal in the Software without
- * restriction, including without limitation the rights to use,
- * copy, modify, merge, publish, distribute, sublicense, and/or sell
- * copies of the Software, and to permit persons to whom the
- * Software is furnished to do so, subject to the following
- * conditions:
- * 
- * The above copyright notice and this permission notice shall be
- * included in all copies or substantial portions of the Software.
- * 
- * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
- * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
- * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
- * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
- * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
- * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
- * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
- * OTHER DEALINGS IN THE SOFTWARE.
- */
-
-/**
- * @file headlights.cpp
- * @brief Contains code to control the headlights.
- *
- * Implementation of functions for headlights use.
- *
- * @author Colony Project, CMU Robotics Club
- **/
-
-#include "ros/ros.h"
-#include "headlights.h"
-//#include "libscout/src/constants.h"
-#include <cstdlib>
-
-/**
- * @defgroup headlights headlights
- * @brief Functions for using the headlights
- *
- * @{
- **/
-
-/* Headlight state variables
- * Each color intensity is stored as a value out of the max bunary value that 
- * can be written to the output pins that control the LEDs.
- */
-/** @todo Fix types: static */
-struct headlight
-{
-	char red;
-	char green;
-	char blue;
-};
-headlight left, right;
-
-/**
- * @brief Sets headlight colors
- *
- * Sets the headlight colors based on subscription to the set_headlights topic.
- *
- * @param msg The message from the set_headlights topic, containing colors.
- */
-void headlights_set(const headlights::set_headlights::ConstPtr& msg)
-{
-		/* Set state variables from message */
-		if(msg->left_red > NO_SET)
-		{
-			left.red = msg->left_red;
-		}
-		if(msg->left_green > NO_SET)
-		{
-			left.green = msg->left_green;
-		}
-		if(msg->left_blue > NO_SET)
-		{
-			left.blue = msg->left_blue;
-		}
-		if(msg->right_red > NO_SET)
-		{
-			right.red = msg->right_red;
-		}
-		if(msg->right_green > NO_SET)
-		{
-			right.green = msg->right_green;
-		}
-		if(msg->right_blue > NO_SET)
-		{
-			right.blue = msg->right_blue;
-		}
-		
-    /* Write colors to hardware */
-    /** @todo Add code to write colors to hardware */
-}
-
-/**
- * @brief headlights driver. This is a ROS node that controls headlight colors.
- *
- * This is the main function for the headlights node. It is run when the node
- * starts and initializes the headlights. It then subscribes to the
- * set_headlights topic.
- * 
- * @param argc The number of command line arguments (should be 1)
- * @param argv The array of command line arguments
- **/
-int main(int argc, char **argv)
-{
-    /* Initialize in ROS the headlights driver node */
-    ros::init(argc, argv, "headlights_driver");
-
-    /* Create the nodehandle for this node*/
-    ros::NodeHandle n;
-
-    /* Subscribe to the set_headlights topic */
-    ros::Subscriber sub0 = n.subscribe("set_headlights", QUEUE_SIZE, headlights_set);
-
-    /* Initialize hardware for headlights */
-    // Hardware init functions here
-
-    ROS_INFO("Ready to set headlights.");
-    ros::spin();
-
-    return 0;
-}
-
-/** @} **/
diff --git a/scout/headlights/src/headlights.h b/scout/headlights/src/headlights.h
deleted file mode 100644
index ed1a16f..0000000
--- a/scout/headlights/src/headlights.h
+++ /dev/null
@@ -1,57 +0,0 @@
-/**
- * Copyright (c) 2011 Colony Project
- * 
- * Permission is hereby granted, free of charge, to any person
- * obtaining a copy of this software and associated documentation
- * files (the "Software"), to deal in the Software without
- * restriction, including without limitation the rights to use,
- * copy, modify, merge, publish, distribute, sublicense, and/or sell
- * copies of the Software, and to permit persons to whom the
- * Software is furnished to do so, subject to the following
- * conditions:
- * 
- * The above copyright notice and this permission notice shall be
- * included in all copies or substantial portions of the Software.
- * 
- * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
- * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
- * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
- * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
- * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
- * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
- * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
- * OTHER DEALINGS IN THE SOFTWARE.
- */
-
-/**
- * @file headlights.h
- * @brief Contains motor declarations and functions.
- * 
- * Contains functions and definitions for the use of
- * headlights.
- *
- * @author Colony Project, CMU Robotics Club
- **/
-
-#ifndef _HEADLIGHTS_H_
-#define _HEADLIGHTS_H_
-
-#include "headlights/set_headlights.h"
-
-#define FULL 0xFF
-#define HALF 0xC0
-#define OFF  0x00
-#define NO_SET -1
-
-/* The number of messages in the queue. If messages arrive faster than they are
- * handled, old ones are thrown out */
-#define QUEUE_SIZE 4
-
-
-/** @brief Initialize the headlights module and driver. **/
-int main(int argc, char **argv);
-
-/** @brief Responds to topic to set motor speeds and configs. **/
-void headlights_set(const headlights::set_headlights::ConstPtr& msg);
-
-#endif
diff --git a/scout/libscout/manifest.xml b/scout/libscout/manifest.xml
index 404d6da..ce34f41 100644
--- a/scout/libscout/manifest.xml
+++ b/scout/libscout/manifest.xml
@@ -13,11 +13,8 @@
   <depend package="roscpp"/>
   <depend package="motors"/>
   <depend package="encoders"/>
-  <depend package="headlights"/>
   <depend package="buttons"/>
-  <depend package="sonar"/>
   <depend package="linesensor"/>
-<!--  <depend package="cliffsensor"/> -->
 
 </package>
 
diff --git a/scout/libscout/src/CliffsensorControl.cpp b/scout/libscout/src/CliffsensorControl.cpp
index bf14ac9..18d076c 100644
--- a/scout/libscout/src/CliffsensorControl.cpp
+++ b/scout/libscout/src/CliffsensorControl.cpp
@@ -71,7 +71,7 @@ CliffsensorControl::CliffsensorControl(const ros::NodeHandle& libscout_node,
  * status of all cliff sensors.
  *
  */
-void CliffsensorControl::changed_cliff_status(const cliffsensor::cliff_status_changed::ConstPtr& msg)
+void CliffsensorControl::changed_cliff_status(const ::messages::cliff_status_changed::ConstPtr& msg)
 {
     front_raw = msg->front_raw;
     left_raw = msg->left_raw;
diff --git a/scout/libscout/src/CliffsensorControl.h b/scout/libscout/src/CliffsensorControl.h
index 43c8897..9c9b044 100644
--- a/scout/libscout/src/CliffsensorControl.h
+++ b/scout/libscout/src/CliffsensorControl.h
@@ -38,8 +38,8 @@
 #ifndef _CLIFFSENSOR_H_
 #define _CLIFFSENSOR_H_
 
-#include <cliffsensor/query_cliff.h>
-#include <cliffsensor/cliff_status_changed.h>
+#include <messages/query_cliff.h>
+#include <messages/cliff_status_changed.h>
 #include "constants.h"
 
 #define CLIFF_DETECTED 0x0
@@ -52,7 +52,7 @@ class CliffsensorControl
 
         /** @brief Responds to topic to change cliff sensor status. **/
         void changed_cliff_status(
-                        const cliffsensor::cliff_status_changed::ConstPtr& msg);
+                        const messages::cliff_status_changed::ConstPtr& msg);
 
         int get_front_raw();
         int get_left_raw();
diff --git a/scout/libscout/src/HeadlightControl.cpp b/scout/libscout/src/HeadlightControl.cpp
index 63faf50..bb8b941 100644
--- a/scout/libscout/src/HeadlightControl.cpp
+++ b/scout/libscout/src/HeadlightControl.cpp
@@ -50,7 +50,7 @@ HeadlightControl::HeadlightControl(const ros::NodeHandle& libscout_node,
                                    string scoutname)
     : node(libscout_node)
 {
-    set_headlights_pub = node.advertise<headlights::set_headlights>
+    set_headlights_pub = node.advertise< ::messages::set_headlights>
         (scoutname + "/set_headlights", QUEUE_SIZE, true);
 }
 
@@ -85,7 +85,7 @@ void HeadlightControl::set(int color, int which)
  */
 void HeadlightControl::set_rgb(int red, int green, int blue, int which)
 {
-    headlights::set_headlights msg;
+    ::messages::set_headlights msg;
 
     if(which & HL_LEFT)
     {
diff --git a/scout/libscout/src/HeadlightControl.h b/scout/libscout/src/HeadlightControl.h
index ad12515..3044397 100644
--- a/scout/libscout/src/HeadlightControl.h
+++ b/scout/libscout/src/HeadlightControl.h
@@ -39,7 +39,7 @@
 #define _HEADLIGHT_CONTROL_H_
 
 #include <ros/ros.h>
-#include <headlights/set_headlights.h>
+#include <messages/set_headlights.h>
 
 #include "constants.h"
 
diff --git a/scout/libscout/src/SonarControl.cpp b/scout/libscout/src/SonarControl.cpp
index b492007..0b56c18 100644
--- a/scout/libscout/src/SonarControl.cpp
+++ b/scout/libscout/src/SonarControl.cpp
@@ -51,9 +51,9 @@ SonarControl::SonarControl(const ros::NodeHandle& libscout_node,
     : node(libscout_node)
 {
     sonar_set_scan_client =
-        node.serviceClient<sonar::sonar_set_scan>(scoutname+"/set_sonar_scan");
+        node.serviceClient< ::messages::sonar_set_scan>(scoutname+"/set_sonar_scan");
     sonar_toggle_client = 
-        node.serviceClient<sonar::sonar_toggle>(scoutname + "/toggle_sonar");
+        node.serviceClient< ::messages::sonar_toggle>(scoutname + "/toggle_sonar");
     sonar_distance_sub = node.subscribe(scoutname + "/sonar_distance",
                                         QUEUE_SIZE,
                                         &SonarControl::distance_callback,
@@ -76,7 +76,7 @@ SonarControl::SonarControl(const ros::NodeHandle& libscout_node,
  * Update the array of sonar values, and the last read timestamps,
  * to reflect the new reading received.
  */
-void SonarControl::distance_callback(const sonar::sonar_distance::ConstPtr& msg)
+void SonarControl::distance_callback(const ::messages::sonar_distance::ConstPtr& msg)
 {
     // Error checking so that the array doesn't cause a segfault
     if (msg->pos < 0 || msg-> pos > 23)
@@ -128,7 +128,7 @@ void SonarControl::set_range(int start_pos, int end_pos)
     set_on();
 
     // Set scan range
-    sonar::sonar_set_scan srv;
+    ::messages::sonar_set_scan srv;
     srv.request.stop_l = start_pos;
     srv.request.stop_r = end_pos;
 
@@ -173,7 +173,7 @@ void SonarControl::set_off()
  */
 void SonarControl::set_power(bool is_on)
 {
-    sonar::sonar_toggle srv;
+    ::messages::sonar_toggle srv;
     srv.request.set_on = is_on;
 
     // Check if the service call failed or if the response was false
diff --git a/scout/libscout/src/SonarControl.h b/scout/libscout/src/SonarControl.h
index 21e29f7..c9c8868 100644
--- a/scout/libscout/src/SonarControl.h
+++ b/scout/libscout/src/SonarControl.h
@@ -38,9 +38,9 @@
 #define _SONAR_CONTROL_H_
 
 #include <ros/ros.h>
-#include <sonar/sonar_set_scan.h>
-#include <sonar/sonar_toggle.h>
-#include <sonar/sonar_distance.h>
+#include <messages/sonar_set_scan.h>
+#include <messages/sonar_toggle.h>
+#include <messages/sonar_distance.h>
 
 #include "constants.h"
 
@@ -68,7 +68,7 @@ class SonarControl
 
     private:
         /** Record the new sonar distance measurement */
-        void distance_callback(const sonar::sonar_distance::ConstPtr& msg);
+        void distance_callback(const messages::sonar_distance::ConstPtr& msg);
 
         /** Sends a sonar_toggle message. */
         void set_power(bool is_on);
diff --git a/scout/messages/msg/bom.msg b/scout/messages/msg/bom.msg
new file mode 100644
index 0000000..7cf2ae8
--- /dev/null
+++ b/scout/messages/msg/bom.msg
@@ -0,0 +1,9 @@
+int8 sender
+int8 send_dir
+int8 recv_dir
+
+# TODO these may need to be changed
+int8 FRONT = 0
+int8 LEFT  = 1
+int8 BACK  = 2
+int8 RIGHT = 3
diff --git a/scout/messages/msg/cliff_status_changed.msg b/scout/messages/msg/cliff_status_changed.msg
new file mode 100644
index 0000000..adf8eea
--- /dev/null
+++ b/scout/messages/msg/cliff_status_changed.msg
@@ -0,0 +1,4 @@
+int8 front_raw
+int8 left_raw
+int8 right_raw
+int8 cliff_status
diff --git a/scout/messages/msg/set_headlights.msg b/scout/messages/msg/set_headlights.msg
new file mode 100644
index 0000000..3590d08
--- /dev/null
+++ b/scout/messages/msg/set_headlights.msg
@@ -0,0 +1,6 @@
+int16 left_red
+int16 left_green
+int16 left_blue
+int16 right_red
+int16 right_green
+int16 right_blue
diff --git a/scout/messages/msg/sonar_distance.msg b/scout/messages/msg/sonar_distance.msg
new file mode 100644
index 0000000..6a0c4ab
--- /dev/null
+++ b/scout/messages/msg/sonar_distance.msg
@@ -0,0 +1,10 @@
+# Gives a timestamp so nodes make sure they use current readings
+time stamp
+
+# Position of the sonar (0-23), where 0 is right
+int8 pos
+
+# Distance reading from the front sonar in mm
+uint16 distance0
+# Distance reading from the back sonar in mm
+uint16 distance1
diff --git a/scout/messages/srv/query_cliff.srv b/scout/messages/srv/query_cliff.srv
new file mode 100644
index 0000000..960d1a9
--- /dev/null
+++ b/scout/messages/srv/query_cliff.srv
@@ -0,0 +1,6 @@
+int8 units
+---
+int8 front_raw
+int8 left_raw
+int8 right_raw
+int8 cliff_status
diff --git a/scout/messages/srv/sonar_set_scan.srv b/scout/messages/srv/sonar_set_scan.srv
new file mode 100644
index 0000000..6290c24
--- /dev/null
+++ b/scout/messages/srv/sonar_set_scan.srv
@@ -0,0 +1,7 @@
+# Specify the left and right position stops for the scan.
+# Valid position stops are 0 to 23.
+int8 stop_l
+int8 stop_r
+---
+# Sonar responds with an acknowledgement; true means no errors
+bool ack
diff --git a/scout/messages/srv/sonar_toggle.srv b/scout/messages/srv/sonar_toggle.srv
new file mode 100644
index 0000000..6b63342
--- /dev/null
+++ b/scout/messages/srv/sonar_toggle.srv
@@ -0,0 +1,5 @@
+# Set to true to turn the sonar on; false to turn off
+bool set_on
+---
+# Sonar responds with an acknowledgement; true means no errors
+bool ack
diff --git a/scout/scoutsim/manifest.xml b/scout/scoutsim/manifest.xml
index 91d2ec6..243027a 100644
--- a/scout/scoutsim/manifest.xml
+++ b/scout/scoutsim/manifest.xml
@@ -16,15 +16,11 @@
   <depend package="motors" />
   <depend package="encoders" />
   <depend package="linesensor" />
-  <depend package="sonar" />
   <depend package="geometry_msgs" />
   <depend package="messages"/>
   
   <rosdep name="wxwidgets"/>
 
-  <!--<export>
-    <cpp cflags="-I${prefix}/msg/cpp -I${prefix}/srv/cpp"/>
-  </export>-->
   <export>
     <cpp cflags="-I${prefix}/msg/cpp -I${prefix}/srv/cpp -I${prefix}/include" lflags="-Wl,-rpath,${prefix}/lib -L${prefix}/libk"/>
   </export>
diff --git a/scout/scoutsim/src/scout.cpp b/scout/scoutsim/src/scout.cpp
index b4b6414..140eadc 100644
--- a/scout/scoutsim/src/scout.cpp
+++ b/scout/scoutsim/src/scout.cpp
@@ -88,7 +88,7 @@ namespace scoutsim
 
         pose_pub = node.advertise<Pose>("pose", 1);
         color_pub = node.advertise<Color>("color_sensor", 1);
-        sonar_pub = node.advertise<sonar::sonar_distance>("sonar_distance", 1);
+        sonar_pub = node.advertise< ::messages::sonar_distance>("sonar_distance", 1);
         set_pen_srv = node.advertiseService("set_pen",
                                             &Scout::setPenCallback,
                                             this);
@@ -180,8 +180,8 @@ namespace scoutsim
 
     }
 
-    bool Scout::handle_sonar_toggle(sonar::sonar_toggle::Request  &req,
-                         sonar::sonar_toggle::Response &res)
+    bool Scout::handle_sonar_toggle(::messages::sonar_toggle::Request  &req,
+                         ::messages::sonar_toggle::Response &res)
     {
         if (req.set_on && !sonar_on)
         {
@@ -202,8 +202,8 @@ namespace scoutsim
         return true;
     }
 
-    bool Scout::handle_sonar_set_scan(sonar::sonar_set_scan::Request  &req,
-                                      sonar::sonar_set_scan::Response &res)
+    bool Scout::handle_sonar_set_scan(::messages::sonar_set_scan::Request  &req,
+                                      ::messages::sonar_set_scan::Response &res)
     {
         // Code to set the sonar to scan from
         // req.stop_l to req.stop_r
@@ -371,7 +371,7 @@ namespace scoutsim
                                           sonar_position + 24, sonar_dc);
 
         // Publish
-        sonar::sonar_distance msg;
+        ::messages::sonar_distance msg;
         msg.pos = sonar_position;
         msg.distance0 = d_front;
         msg.distance1 = d_back;
diff --git a/scout/scoutsim/src/scout.h b/scout/scoutsim/src/scout.h
index b3fb90b..1011ef4 100644
--- a/scout/scoutsim/src/scout.h
+++ b/scout/scoutsim/src/scout.h
@@ -55,9 +55,9 @@
 #include <motors/set_motors.h>
 #include <encoders/query_encoders.h>
 #include <linesensor/query_linesensor.h>
-#include <sonar/sonar_distance.h>
-#include <sonar/sonar_toggle.h>
-#include <sonar/sonar_set_scan.h>
+#include <messages/sonar_distance.h>
+#include <messages/sonar_toggle.h>
+#include <messages/sonar_set_scan.h>
 
 #include <scoutsim/Pose.h>
 #include <scoutsim/SetPen.h>
@@ -131,10 +131,10 @@ namespace scoutsim
                                          encoders::query_encoders::Response&);
             bool query_linesensor_callback(linesensor::query_linesensor::Request&,
                                            linesensor::query_linesensor::Response&);
-            bool handle_sonar_toggle(sonar::sonar_toggle::Request  &req,
-                                     sonar::sonar_toggle::Response &res);
-            bool handle_sonar_set_scan(sonar::sonar_set_scan::Request  &req,
-                                       sonar::sonar_set_scan::Response &res);
+            bool handle_sonar_toggle(messages::sonar_toggle::Request  &req,
+                                     messages::sonar_toggle::Response &res);
+            bool handle_sonar_set_scan(messages::sonar_set_scan::Request  &req,
+                                       messages::sonar_set_scan::Response &res);
             unsigned int rgb_to_grey(unsigned char r,
                                      unsigned char g,
                                      unsigned char b);
diff --git a/scout/sonar/CMakeLists.txt b/scout/sonar/CMakeLists.txt
deleted file mode 100644
index f1c1a19..0000000
--- a/scout/sonar/CMakeLists.txt
+++ /dev/null
@@ -1,30 +0,0 @@
-cmake_minimum_required(VERSION 2.4.6)
-include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)
-
-# Set the build type.  Options are:
-#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
-#  Debug          : w/ debug symbols, w/o optimization
-#  Release        : w/o debug symbols, w/ optimization
-#  RelWithDebInfo : w/ debug symbols, w/ optimization
-#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
-#set(ROS_BUILD_TYPE RelWithDebInfo)
-
-rosbuild_init()
-
-#set the default path for built executables to the "bin" directory
-set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
-#set the default path for built libraries to the "lib" directory
-set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)
-
-#uncomment if you have defined messages
-rosbuild_genmsg()
-#uncomment if you have defined services
-rosbuild_gensrv()
-
-#common commands for building c++ executables and libraries
-#rosbuild_add_library(${PROJECT_NAME} src/example.cpp)
-#target_link_libraries(${PROJECT_NAME} another_library)
-#rosbuild_add_boost_directories()
-#rosbuild_link_boost(${PROJECT_NAME} thread)
-#rosbuild_add_executable(example examples/example.cpp)
-#target_link_libraries(example ${PROJECT_NAME})
diff --git a/scout/sonar/Makefile b/scout/sonar/Makefile
deleted file mode 100644
index b75b928..0000000
--- a/scout/sonar/Makefile
+++ /dev/null
@@ -1 +0,0 @@
-include $(shell rospack find mk)/cmake.mk
\ No newline at end of file
diff --git a/scout/sonar/mainpage.dox b/scout/sonar/mainpage.dox
deleted file mode 100644
index 3575289..0000000
--- a/scout/sonar/mainpage.dox
+++ /dev/null
@@ -1,23 +0,0 @@
-/**
-\mainpage
-\htmlinclude manifest.html
-
-\b The sonar node manages the readings and motion of the sonar sensor. The
-sonar works by constantly scanning, and publishing the distance readings
-into a ros topic viewable by other nodes.
-
-\section codeapi Code API
-
-<!--
-Provide links to specific auto-generated API documentation within your
-package that is of particular interest to a reader. Doxygen will
-document pretty much every part of your code, so do your best here to
-point the reader to the actual API.
-
-If your codebase is fairly large or has different sets of APIs, you
-should use the doxygen 'group' tag to keep these APIs together. For
-example, the roscpp documentation has 'libros' group.
--->
-
-
-*/
diff --git a/scout/sonar/manifest.xml b/scout/sonar/manifest.xml
deleted file mode 100644
index 7da267d..0000000
--- a/scout/sonar/manifest.xml
+++ /dev/null
@@ -1,16 +0,0 @@
-<package>
-  <description brief="sonar">
-
-     Operates the sonar sensor and provides a way to access distance readings.
-
-  </description>
-  <author>Alex</author>
-  <license>BSD</license>
-  <review status="unreviewed" notes=""/>
-  <url>http://ros.org/wiki/sonar</url>
-  <depend package="roscpp"/>
-  <depend package="std_msgs"/>
-
-</package>
-
-
diff --git a/scout/sonar/msg/sonar_distance.msg b/scout/sonar/msg/sonar_distance.msg
deleted file mode 100644
index 6a0c4ab..0000000
--- a/scout/sonar/msg/sonar_distance.msg
+++ /dev/null
@@ -1,10 +0,0 @@
-# Gives a timestamp so nodes make sure they use current readings
-time stamp
-
-# Position of the sonar (0-23), where 0 is right
-int8 pos
-
-# Distance reading from the front sonar in mm
-uint16 distance0
-# Distance reading from the back sonar in mm
-uint16 distance1
diff --git a/scout/sonar/src/sonar.cpp b/scout/sonar/src/sonar.cpp
deleted file mode 100644
index 28e50cb..0000000
--- a/scout/sonar/src/sonar.cpp
+++ /dev/null
@@ -1,138 +0,0 @@
-/**
- * Copyright (c) 2011 Colony Project
- * 
- * Permission is hereby granted, free of charge, to any person
- * obtaining a copy of this software and associated documentation
- * files (the "Software"), to deal in the Software without
- * restriction, including without limitation the rights to use,
- * copy, modify, merge, publish, distribute, sublicense, and/or sell
- * copies of the Software, and to permit persons to whom the
- * Software is furnished to do so, subject to the following
- * conditions:
- * 
- * The above copyright notice and this permission notice shall be
- * included in all copies or substantial portions of the Software.
- * 
- * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
- * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
- * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
- * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
- * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
- * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
- * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
- * OTHER DEALINGS IN THE SOFTWARE.
- */
-
-/**
- * @file sonar.cpp
- * @brief Sonar
- *
- * Implementation of functions for sonar use.
- *
- * @author Colony Project, CMU Robotics Club
- * @author Alex Zirbel
- **/
-
-#include <ros/ros.h>
-#include <cstdlib>
-
-#include "sonar.h"
-
-/**
- * @defgroup sonar Sonar
- * @brief Functions for using the sonar
- *
- * @{
- **/
-
-/** Current position of the sonar. Should only contain values in [0,23]. */
-int8_t sonar_stepper_pos;
-bool is_on;
-
-/**
- * Initialize the sonar system. This must be called before sonar_read.
- * 
- * @see sonar_read
- * @see sonar_read_raw
- **/
-void sonar_init(void)
-{
-    ROS_INFO("Sonar_init called [unimplemented].");
-    sonar_stepper_pos = 0;
-}
-
-/**
- * Turns the sonar on and off.
- */
-bool handle_sonar_toggle(sonar::sonar_toggle::Request  &req,
-                         sonar::sonar_toggle::Response &res)
-{
-    if (req.set_on && !is_on)
-    {
-        ROS_INFO("Turning on the sonar [unimplemented]");
-    }
-    else if (req.set_off && is_on)
-    {
-        ROS_INFO("Turning off the sonar [unimplemented]");
-    }
-
-    res.ack = true;
-
-    return true;
-}
-
-/**
- * @brief Sets the sonar scan range. Values from 0 to 23 are valid.
- * 
- * Handles setting the sonar scan range. The scan range is specified by
- * the front sonar, so a scan range of 0 to 23 is a full scan.
- * After the scan range is set, the robot will continue reading values
- * only from that range until the range is reset. Old values can be identified
- * by the header on the distance reading message.
- */
-bool handle_sonar_set_scan(sonar::sonar_set_scan::Request  &req,
-                           sonar::sonar_set_scan::Response &res)
-{
-    // Code to set the sonar to scan from
-    // req.stop_l to req.stop_r
-
-    ROS_INFO("Setting sonar scan range to [%s, %s] [unimplemented]",
-             req.stop_l,
-             req.stop_r);
-    
-    res.ack = true;
-
-    return true;
-}
-
-/**
- * Initialize the sonar driver. This must be called before any sonar
- * requests are made. It will then run in the background until the sonar node is
- * shut down.
- **/
-void main(int argc, char **argv)
-{
-    is_on = true;
-
-    /* Initialize hardware for sonar */
-    // Hardware init functions here
-    sonar_init();
-
-    /* Initialize the sonar driver node in ROS */
-    ros::init(argc, argv, "sonar_driver");
-
-    /* Advertise messages and services */
-    ros::NodeHandle n;
-    ros:ServiceServer service0 = n.advertiseService("sonar_toggle",
-                                                    handle_sonar_toggle);
-    ros:ServiceServer service1 = n.advertiseService("sonar_set_scan",
-                                                    handle_sonar_set_scan);
-
-    ROS_INFO("Sonar: Ready");
-    // Sonar reading and publishing here
-    ros::spin();
-
-    return 0;
-}
-
-/** @} **/
diff --git a/scout/sonar/src/sonar.h b/scout/sonar/src/sonar.h
deleted file mode 100644
index 268e9ec..0000000
--- a/scout/sonar/src/sonar.h
+++ /dev/null
@@ -1,51 +0,0 @@
-/**
- * Copyright (c) 2011 Colony Project
- * 
- * Permission is hereby granted, free of charge, to any person
- * obtaining a copy of this software and associated documentation
- * files (the "Software"), to deal in the Software without
- * restriction, including without limitation the rights to use,
- * copy, modify, merge, publish, distribute, sublicense, and/or sell
- * copies of the Software, and to permit persons to whom the
- * Software is furnished to do so, subject to the following
- * conditions:
- * 
- * The above copyright notice and this permission notice shall be
- * included in all copies or substantial portions of the Software.
- * 
- * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
- * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
- * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
- * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
- * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
- * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
- * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
- * OTHER DEALINGS IN THE SOFTWARE.
- */
-
-/**
- * @file sonar.h
- * @brief Contains sonar declarations and functions
- * 
- * Contains functions and definitions for the use of
- * sonar
- *
- * @author Colony Project, CMU Robotics Club
- * @author Alex Zirbel
- **/
-
-#ifndef _SONAR_H_
-#define _SONAR_H_
-
-/** Initialize the sonar module and drivers **/
-void sonar_init(void);
-
-/** Responds to sonar on/off requests. */
-bool handle_sonar_toggle(sonar::sonar_toggle::Request  &req,
-                         sonar::sonar_toggle::Response &res)
-
-/** Responds to requests which set the scan range. */
-bool handle_sonar_set_scan(sonar::sonar_set_scan::Request  &req,
-                           sonar::sonar_set_scan::Response &res)
-
-#endif
diff --git a/scout/sonar/srv/sonar_set_scan.srv b/scout/sonar/srv/sonar_set_scan.srv
deleted file mode 100644
index 6290c24..0000000
--- a/scout/sonar/srv/sonar_set_scan.srv
+++ /dev/null
@@ -1,7 +0,0 @@
-# Specify the left and right position stops for the scan.
-# Valid position stops are 0 to 23.
-int8 stop_l
-int8 stop_r
----
-# Sonar responds with an acknowledgement; true means no errors
-bool ack
diff --git a/scout/sonar/srv/sonar_toggle.srv b/scout/sonar/srv/sonar_toggle.srv
deleted file mode 100644
index 6b63342..0000000
--- a/scout/sonar/srv/sonar_toggle.srv
+++ /dev/null
@@ -1,5 +0,0 @@
-# Set to true to turn the sonar on; false to turn off
-bool set_on
----
-# Sonar responds with an acknowledgement; true means no errors
-bool ack
diff --git a/scout/usb_serial/CMakeLists.txt b/scout/usb_serial/CMakeLists.txt
deleted file mode 100644
index ac5d561..0000000
--- a/scout/usb_serial/CMakeLists.txt
+++ /dev/null
@@ -1,32 +0,0 @@
-cmake_minimum_required(VERSION 2.4.6)
-include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)
-
-# Set the build type.  Options are:
-#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
-#  Debug          : w/ debug symbols, w/o optimization
-#  Release        : w/o debug symbols, w/ optimization
-#  RelWithDebInfo : w/ debug symbols, w/ optimization
-#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
-#set(ROS_BUILD_TYPE RelWithDebInfo)
-
-rosbuild_init()
-
-#set the default path for built executables to the "bin" directory
-set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
-#set the default path for built libraries to the "lib" directory
-set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)
-
-#uncomment if you have defined messages
-rosbuild_genmsg()
-#uncomment if you have defined services
-#rosbuild_gensrv()
-
-#common commands for building c++ executables and libraries
-#rosbuild_add_library(${PROJECT_NAME} src/example.cpp)
-#target_link_libraries(${PROJECT_NAME} another_library)
-#rosbuild_add_boost_directories()
-#rosbuild_link_boost(${PROJECT_NAME} thread)
-#rosbuild_add_executable(example examples/example.cpp)
-#target_link_libraries(example ${PROJECT_NAME})
-
-rosbuild_add_executable(usb_serial_node src/usb_serial.cpp)
diff --git a/scout/usb_serial/Makefile b/scout/usb_serial/Makefile
deleted file mode 100644
index bbd3fc6..0000000
--- a/scout/usb_serial/Makefile
+++ /dev/null
@@ -1 +0,0 @@
-include $(shell rospack find mk)/cmake.mk
diff --git a/scout/usb_serial/mainpage.dox b/scout/usb_serial/mainpage.dox
deleted file mode 100644
index d10ae62..0000000
--- a/scout/usb_serial/mainpage.dox
+++ /dev/null
@@ -1,26 +0,0 @@
-/**
-\mainpage
-\htmlinclude manifest.html
-
-\b usbserial is the ros node that will provide all IO over USB/Serial functionality and control.
-
-<!-- 
-USBserial will contain the functions neceessary for providing USB/Serial IO capability.
--->
-
-
-\section codeapi Code API
-
-<!--
-Provide links to specific auto-generated API documentation within your
-package that is of particular interest to a reader. Doxygen will
-document pretty much every part of your code, so do your best here to
-point the reader to the actual API.
-
-If your codebase is fairly large or has different sets of APIs, you
-should use the doxygen 'group' tag to keep these APIs together. For
-example, the roscpp documentation has 'libros' group.
--->
-
-
-*/
diff --git a/scout/usb_serial/manifest.xml b/scout/usb_serial/manifest.xml
deleted file mode 100644
index efa7e5c..0000000
--- a/scout/usb_serial/manifest.xml
+++ /dev/null
@@ -1,15 +0,0 @@
-<package>
-  <description brief="usbserial">
-     usbserial
-     Module for USB/Serial that provide all USB/Serial control functionality.
-  </description>
-  <author>Lalitha</author>
-  <license>BSD</license>
-  <review status="unreviewed" notes=""/>
-  <url>https://www.roboticsclub.org/redmine/projects/colonyscout/wiki</url>
-  <depend package="roscpp"/>
-  <depend package="std_msgs"/>
-
-</package>
-
-
diff --git a/scout/usb_serial/msg/serial_data.msg b/scout/usb_serial/msg/serial_data.msg
deleted file mode 100644
index 6675dc7..0000000
--- a/scout/usb_serial/msg/serial_data.msg
+++ /dev/null
@@ -1,2 +0,0 @@
-# Change later based on the kind of data we actually have
-int32 data
diff --git a/scout/usb_serial/src/usb_serial.cpp b/scout/usb_serial/src/usb_serial.cpp
deleted file mode 100644
index f0fc3b8..0000000
--- a/scout/usb_serial/src/usb_serial.cpp
+++ /dev/null
@@ -1,107 +0,0 @@
-/**
- * Copyright (c) 2011 Colony Project
- * 
- * Permission is hereby granted, free of charge, to any person
- * obtaining a copy of this software and associated documentation
- * files (the "Software"), to deal in the Software without
- * restriction, including without limitation the rights to use,
- * copy, modify, merge, publish, distribute, sublicense, and/or sell
- * copies of the Software, and to permit persons to whom the
- * Software is furnished to do so, subject to the following
- * conditions:
- * 
- * The above copyright notice and this permission notice shall be
- * included in all copies or substantial portions of the Software.
- * 
- * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
- * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
- * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
- * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
- * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
- * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
- * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
- * OTHER DEALINGS IN THE SOFTWARE.
- */
-
-/**
- * @file usb_serial.cpp
- * @brief USB_Serial
- *
- * Implementation of functions for USB/Serial use.
- *
- * @author Colony Project, CMU Robotics Club
- * @author Lalitha Ganesan
- **/
-
-#include <ros/ros.h>
-
-#include "usb_serial.h"
-
-/**
- * @defgroup usb_serial USB_Serial
- * @brief Functions for using the USB/Serial Ports
- *
- * @{
- **/
-
-/* USB/Serial state variables */
-int data; /**< The USB serial data received. */
-//int num_data_bits; /**< The number of bits that store data. */
-//int num_stop_bits; /**< The number of bits that indicate the end of data. */
-//int parity_type; /**< The parity type of the data being sent over. */
-//int baud_rate; /**< The baud rate of the USB/Serial (bits/sec). */
-
-/**
- * @brief Sends USB/Serial data.
- *
- * Sets the state vars based on subscription to the serial_data_out topic.
- */
-void send_serial_data(const usb_serial::serial_data::ConstPtr& msg)
-{
-    data = msg->data;
-    //num_data_bits = msg->num_data_bits;
-    //num_stop_bits = msg->num_stop_bits;
-    //parity_type = msg->parity_type;
-    //baud_rate = msg->baud_rate;
-
-    // Write the data to hardware here
-}
-
-/**
- * @brief USB_Serial driver. This is a ROS node that controls USB/Serial 
- *        port data.
- *
- * This is the main function for the usb_serial node. It is run when the node
- * starts and initializes USB/Serial ports. It then subscribes to the
- * serial_data_out topic, and publishes to the serial_data_in message.
- */
-int main(int argc, char **argv)
-{
-    /* Initialize in ROS the usb_serial driver node */
-    ros::init(argc, argv, "usb_serial_driver");
-
-    ros::NodeHandle n;
-
-    /* Subscribe to the topic of outgoing serial data (which will be written
-     * to the hardware) and if we receive any, send it via serial_data_out. */
-    ros::Subscriber sub = n.subscribe("serial_data_out",
-                                      QUEUE_SIZE, send_serial_data);
-
-    /* Publish ingoing serial data messages back to the library. As part of
-     * its main() function, this node reads hardware data and if a new
-     * serial message is found, this publisher sends it inbound over ROS */
-    ros::Publisher pub = n.advertise<usb_serial::serial_data>("serial_data_in",                                                               QUEUE_SIZE);
-
-    // Initialize hardware for USB/Serial ports
-
-    ROS_INFO("Ready to set USB/Serial. [Unimplemented]");
-
-    // Get and publish serial data here.
-
-    ros::spin();
-
-    return 0;
-}
-
-/** @} */
-
diff --git a/scout/usb_serial/src/usb_serial.h b/scout/usb_serial/src/usb_serial.h
deleted file mode 100644
index 404df89..0000000
--- a/scout/usb_serial/src/usb_serial.h
+++ /dev/null
@@ -1,50 +0,0 @@
-/**
- * Copyright (c) 2011 Colony Project
- * 
- * Permission is hereby granted, free of charge, to any person
- * obtaining a copy of this software and associated documentation
- * files (the "Software"), to deal in the Software without
- * restriction, including without limitation the rights to use,
- * copy, modify, merge, publish, distribute, sublicense, and/or sell
- * copies of the Software, and to permit persons to whom the
- * Software is furnished to do so, subject to the following
- * conditions:
- * 
- * The above copyright notice and this permission notice shall be
- * included in all copies or substantial portions of the Software.
- * 
- * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
- * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
- * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
- * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
- * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
- * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
- * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
- * OTHER DEALINGS IN THE SOFTWARE.
- */
-
-/**
- * @file usb_serial.h
- * @brief Contains USB/Serial declarations and functions
- * 
- * Contains functions and definitions for the use of
- * USB/Serial.
- *
- * @author Lalitha Ganesan
- * @author Alex Zirbel
- **/
-
-#ifndef _USB_SERIAL_H_
-#define _USB_SERIAL_H_
-
-#define QUEUE_SIZE 10
-
-#include "usb_serial/serial_data.h"
-
-/** @brief Initialize the motors module and driver **/
-int main(int argc, char **argv);
-
-/** @brief Responds to topic to send serial data **/
-void send_serial_data(const usb_serial::serial_data::ConstPtr& msg);
-
-#endif
